Skip to main content

Get Decision Support link for a session

GET /api/v1/session/{sessionId}/decisionSupportLink?auditUserIdentifier={auditUserIdentifier}​

Description​

Get the link to the decision support. The link will be valid for 5 minutes.

Decision Support

Read more about the Decision Support interface here.

Request Parameters (path)​

NameDescriptionRequiredType
sessionIdThe identifier of the sessionYesuuid
auditUserIdentifierWill be included in all audit logsYesstring

Response​

HTTP Status Codes​

CodeDescription
200Success, returns a Link
401Unauthorized, missing X-Red-Robin-API-Key header
403Forbidden, invalid X-Red-Robin-API-Key header
404Not found, invalid configuration

Link​

NameDescriptionTypeExample
linkUrl to decision supportstringhttps://se.visibatriage.com/decision-support/exchange/CfDJ8GpLvI98UsZKme7/b497833
tokenUrl to decision supportstringCfDJ8GpLvI98UsZKme7/b497833
managerScriptUrlUrl to decision supportstringhttps://se.visibatriage.com/api/v1/decisionSupport/manager.js

Example Usage​

GET /api/v1/session/{sessionId}/decisionSupportLink
const headers = new Headers();
headers.append('X-Red-Robin-API-Key', 'API_KEY');
headers.append('Content-Type', 'application/json');

const requestOptions = {
method: 'GET',
headers: headers,
};

fetch('https://se.visibatriage.com/api/v1/session/{sessionId}/decisionSupportLink', requestOptions)
.then((response) => response.text())
.then((result) => console.log(result))
.catch((error) => console.log('error', error));

Example Success Response​

{
"link": "https://se.visibatriage.com/decision-support/exchange/CfDJ8GpLvI98UsZKme7/b497833",
"token": "CfDJ8GpLvI98UsZKme7/b497833",
"managerScriptUrl": "https://se.visibatriage.com/api/v1/decisionSupport/manager.js"
}